> For the complete documentation index, see [llms.txt](https://docs.wproofreader.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wproofreader.com/v6.11.0/api-reference/user-custom-dictionary-api/actions/check-dictionary-check.md).

# Check dictionary (check)

Check if a dictionary exists and is accessible.

### Parameters

These parameters work with any `cmd`.

| Name           | Type    | Required   | Description                                                                                                                                                                        |
| -------------- | ------- | ---------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `serviceid`    | string  | Cloud only | Cloud API key. Required for Cloud requests. Not used on-premises.                                                                                                                  |
| `format`       | string  | No         | Response format. Values: `json` (default), `xml`.                                                                                                                                  |
| `callback`     | string  | No         | JSONP wrapper function name. Use only with `format=json`.                                                                                                                          |
| `short_answer` | boolean | No         | <p>JSON only. When <code>true</code>, shortens JSON keys to reduce payload size.<br>See <a href="/pages/VXTsQ0sY5BFRLUsqxnbL#boolean-parameter-values">boolean parameters</a>.</p> |

See [Overview](/v6.11.0/api-reference/overview.md#common-parameters) for details.

#### Command specific parameters

| Parameter | Type   | Required | Default           | Notes                     |
| --------- | ------ | -------- | ----------------- | ------------------------- |
| `cmd`     | string | Yes      | `user_dictionary` | Command name.             |
| `action`  | string | Yes      | `check`           | Action name.              |
| `name`    | string | Yes      |                   | Dictionary name to check. |

### Behavior

* Verifies dictionary existence.
* Verifies the server can access it.

### Response

Returns an empty `wordlist`.

See [Response format](/v6.11.0/api-reference/user-custom-dictionary-api/response-format.md).

### Errors

Common errors:

* Dictionary name is missing, invalid, or longer than 50 characters.

See [Errors reference](/v6.11.0/api-reference/user-custom-dictionary-api/errors-reference.md).

### Examples

<details>

<summary>Check a dictionary</summary>

**Request body (JSON):**

```json
{
  "cmd": "user_dictionary",
  "action": "check",
  "name": "my_dict"
}
```

**Response (JSON):**

```json
{
  "name": "my_dict",
  "action": "check",
  "wordlist": [],
  "modificationTime": 1772124069
}
```

</details>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wproofreader.com/v6.11.0/api-reference/user-custom-dictionary-api/actions/check-dictionary-check.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
